Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeSliderJoint Class Reference

Inheritance diagram for OdeSliderJoint:

List of all members.

## Public Member Functions
| OdeSliderJoint (OdeWorld world)
| OdeSliderJoint (OdeWorld world, OdeJointGroup joint_group)
| addForce (float force)
VBase3 | getAxis ()
float | getParamBounce ()
float | getParamCFM ()
float | getParamFMax ()
float | getParamFudgeFactor ()
float | getParamHiStop ()
float | getParamLoStop ()
float | getParamStopCFM ()
float | getParamStopERP ()
float | getParamVel ()
float | getPosition ()
float | getPositionRate ()
| setAxis (float x, float y, float z)
| setAxis (VBase3 const axis)
| setAxisDelta (VBase3 const axis, VBase3 const vec)
| setAxisDelta (float x, float y, float z, float ax, float ay, float az)
| setParamBounce (float val)
| setParamCFM (float val)
| setParamFMax (float val)
| setParamFudgeFactor (float val)
| setParamHiStop (float val)
| setParamLoStop (float val)
| setParamStopCFM (float val)
| setParamStopERP (float val)
| setParamVel (float val)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeSliderJoint | ( | OdeWorld | world | ) |

OdeSliderJoint | ( | OdeWorld | world,
|  | OdeJointGroup | joint_group
| ) |  |

## Member Function Documentation

addForce | ( | float | force | ) |

VBase3 getAxis | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from OdeJoint.

float getParamBounce | ( |  | ) |

float getParamCFM | ( |  | ) |

float getParamFMax | ( |  | ) |

float getParamFudgeFactor | ( |  | ) |

float getParamHiStop | ( |  | ) |

float getParamLoStop | ( |  | ) |

float getParamStopCFM | ( |  | ) |

float getParamStopERP | ( |  | ) |

float getParamVel | ( |  | ) |

float getPosition | ( |  | ) |

float getPositionRate | ( |  | ) |

setAxis | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setAxis | ( | VBase3 const | axis | ) |

setAxisDelta | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | ax,
|  | float | ay,
|  | float | az
| ) |  |

setAxisDelta | ( | VBase3 const | axis,
|  | VBase3 const | vec
| ) |  |

setParamBounce | ( | float | val | ) |

setParamCFM | ( | float | val | ) |

setParamFMax | ( | float | val | ) |

setParamFudgeFactor | ( | float | val | ) |

setParamHiStop | ( | float | val | ) |

setParamLoStop | ( | float | val | ) |

setParamStopCFM | ( | float | val | ) |

setParamStopERP | ( | float | val | ) |

setParamVel | ( | float | val | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties